import React, { useState, useCallback } from 'react';

export default function () {
  const [searchBuildId, setSearchBuildId] = useState<string>();
  const [searchFloorId, setSearchFloorId] = useState<string>();
  const [searchText, setSearchText] = useState<any>({});
  const changeSearchBuildId = useCallback((value: string) => {
    setSearchBuildId(value);
  }, []);
  const changeSearchFloorId = useCallback((value: string) => {
    setSearchFloorId(value);
  }, []);
  const changeSearchText = useCallback((value: any) => {
    setSearchText(value);
  }, []);

  return {
    searchBuildId,
    searchFloorId,
    searchText,
    changeSearchBuildId,
    changeSearchFloorId,
    changeSearchText,
  };
}
